
Prior to this event I have always been just a tad bit psych, so my mother says since the day I was born. According to my mother I used to tell her that people were coming before they arrived and sure enough they would show, or tell her 'so and so' would be calling and a few minutes later they would indeed call. As a young child, I do remember having out of body experiences quite often. Of course, I did not know what this was and I never talked to anyone about these episodes. My mother always thought I was a very 'odd' child and never encouraged this strange behavior, quite the contrary. I think it gave her the 'creeps'. I shut down these episodes because of that, at least I think that's why.

In addition to the above experiences, I have always had total recall of all of my dreams each and every night. That is every night of my life! Also, I have had many visions throughout my life. A vision is not uncommon to Native Americans. However, some of us live their whole lives in hopes of having just one. I have been blessed with having had many. Some I understood, some I did not: until now. Those that did not make sense have now become clear through my Life after Life experience. I really don't remember too much leading up to the surgery other than the fact that I have been a chronic pain patient for over three years. I lost my job, which I really loved, due to the severity of my illness. Ninety-five percent of the last 3 years has been spent in bed due to pain, along with a lot of depression. I have been shuffled about from one specialist to another in the attempt to find out what was wrong with me.

Finally, after 3 years of tremendous pain, I was sent to the medical center and it was discovered that I had Pelvic Floor Disorder due to the Pelvic Mesh Implant from a previous surgery. You know, the one you hear about on the TV all the time 'Trans-vaginal Mesh Lawsuit', that's the one! The mesh and the bone-in anchors needed to be removed. Surgery was scheduled for July 10, 2013, to remove the mesh and the bone in anchors. It was supposed to be a two-hour surgery and I was to go home after the surgery without restrictions. I went to the hospital with my sister, who stayed with me throughout the entire time. I don't remember anything really, prior to the surgery. I remember waking up with my Sister looking over me. She had on her face a look I had never seen before. It was a mixture of love and sincere fear. I asked her where I was, she told me that I was in the Intensive Care Unit.

I ended up having two major surgeries within 5 days.) I do not know in which of the two I had my Life After Life experience. I am describing both hospital experiences first; then the Life After Life Experience that I was told about later on by my Sister while she had to watch me slip away from life more than once that night.

What had happened to my 'two hour in and out surgery'? It had taken longer than expected. The Surgeon was able to remove the largest single piece of mesh in her entire career! And she was able to remove both of the bone in anchors. However, something had gone wrong, which had caused my blood pressure to drop down several times to 30. My sister said it was like watching an episode from 'Grey's Anatomy' with doctors running around me frantically yelling 'Code Blue'. They were very worried about me going into renal failure, whatever that is. Anyway, I was in ICU for many hours. Once stable I was moved to another room. I was eventually released later in the day.

I was home for 5 days. On July 15, I began to experience SEVERE abdominal pain. I was home alone. My husband was at the pharmacy picking up my pain meds. I began to double over in pain and was trying so hard to get to my bed. I needed to get to my cell phone but I was in so much pain I could not think straight. I had no idea where my cell was. I heard it ring. The sound was coming from my bedroom. I went towards the sound. It was my Sister. I tried to tell her about the pain but I could barely speak. She told me to hang up and call an ambulance. I did. The next thing I remember were Paramedics standing over my bed.

The next thing I recall was being carried out of my house on a stretcher. There was the most beautiful sky above, the likes of which I had never seen before. The PAIN! I did not know the human body could ever feel or be in the amount of pain in which I was. I wanted someone to kill me. Please. I begged for death. I was screaming aloud in pain. I was begging the Paramedic for a catheter. Something was very wrong. I needed to urinate so very badly but could not. The ambulance took me to a hospital, about 8 miles away.

Upon my arrival, they gave me a catheter, thank God and ran a CT scan. They told me I had had a bladder cramp and that they can be very painful. No kidding! The CT scan showed that I had internal bleeding from the surgery! They had nicked the aorta. Well, that hospital didn't want a thing to do with me, so they put me back in the ambulance and sent me back to the hospital over the Bay Bridge in the middle of the night. I woke up in surgery, again. This time the Surgeon explained to me that he had to stop the leak in the vein. It had been accidentally snipped in the previous surgery. The surgical team all told me how very lucky I was to be alive. Had it not been for the bladder cramp and its onset I would have never called an ambulance. I would have fallen asleep and never ever awakened. I had been at home for 5 days with internal bleeding. No one knew.

After the surgery, as I recovered in the hospital I was taken aback by all the well-wishers by the staff members. Everyone on the floor: the nurses, the cleaning crew, the assistant and the Doctors, who especially kept saying how very lucky I was to be alive. It seems it was only me that knew 'luck' had absolutely nothing to do with it. GOD is in complete control and is omnipresent. (This is a sentence and thought I would not have had prior to my event.)

I left my body slowly, peacefully and effortlessly. I began a very slow journey through a semi-darkened tunnel upward towards a light far away, at first. In the distance, I could make out the silhouette of two figures on the left side. On the furthest to the left was the taller of the two. Directly next to him was a much shorter person. As I neared them, I somehow knew the tall figure on the left was indeed my Grandfather and next to him, the short figure, was my Great Grandmother. I could not make out any of their features. They were all shadow/silhouette. A very, very bright light glowed from behind them both. I was to stop where I was and to go no further. I did not hear any voices. I was made to understand this. I was not allowed to go nearer. I was not ready. More importantly: It was made known to me that I had not done enough GOOD in my life in order to be allowed to join them. I have to do much more good. I must go back. I turned around.

As I began my descent, I was stopped. I was made to understand that I had a choice to make. I was shown two families. One family was on my left. This was the family that I knew; it was the family that I came from. The other family was on my right side. It was a large family with many more people than the family on my right. I had a decision to make. Which family did I want to go back to, the family on my left or the family on my right? I remember that this was not a decision made lightly. I took some time in making this decision. I finally, decided to return, to the family with which I was familiar. And so I did.

I then regained consciousness. What happens after this could fill a novel, for it is miracle after miracle after miracle. To not just me but to others around me, even my dog and my plants! I am constantly, day after day, moment after moment, getting messages from GOD. I have been blessed with an abundance of Special Knowledge. I am told that I will have one more surgery, and only one. This will be on November 13th.

After I recover from this surgery, my life is to become extremely busy. The next miracle: My Husband and I were driving into San Francisco to meet my Sister and Mother for lunch, prior to going to my Doctors appointment. We were early and I had been in the car already for 1 1/2 hours which in and of itself difficult and painful for me, not to mention the fact that I had to use the restroom really bad. Since we were running ahead of schedule, I asked my Husband to stop at the hospital, since we were in the neighborhood; also to let me run in and use the bathroom. (Hey, it beats using the bathroom at the gas stations!) Anyway, I removed my walker from the truck and went in to the hospital. I had to walk some distance to get to it but I made it in time.

When done, I came back out to where my Husband had dropped me off and of course, he was nowhere to be seen. So I leaned up against the wall with my walker and waited. I cannot stand for more than 5 minutes before the pain becomes unbearable. I started to shake from the pain. I had to stand for far too long. I couldn't take it any longer. I began to get dizzy from the pain. I began to make my way back into the main entrance of the hospital because I knew if I did not sit down right away, I was going to pass right out from the pain of it all. The woman at the Information booth asked if I was all right and if I needed help. I said 'yes, I need help'. She asked if I needed a wheel chair, I said yes and then I began to pass out from the pain. They barely got the wheel chair under me in time, but they did. I then was semi-conscious.

I was slumped in the chair as they began to wheel me into and towards the Emergency Room (ER). When we got to the ER window, the nurse there was trying to get information from me, but I could not speak. I now was having a huge explosion in my chest. It felt like a time bomb had gone off in the center of my chest. The next thing I knew the entire left side of my face, most especially my lips had dropped, so did my left arm and my left leg! I could not move anything on the left side of my body! Worse yet, I could not speak! I had no identification on me as I had just been dropped off to use the facilities.

My poor Husband must be sick with worry, for he had no idea what had happened, or where I was. For that matter, neither did my Mother or my Sister who we were meeting for lunch! The staff finally got me on a hospital bed. I still could not speak. The Doctor came in and realized I had probably just had a stroke and then all hell broke out. He then called in another doctor, and then another doctor. They began firing questions at me, which were very difficult to answer, using only the right side of my mouth. I recall tears running down my face.

I kept repeating 'Thank you God, Thank you God' over and over and over. I felt no fear at all. I felt only LOVE. I felt only CALM. I felt only GRATITUDE. I was truly blessed. Who gets to have a stroke while in one of the best hospitals in the United States? After many hours, and many tests, even though all those Doctors witnessed all of my symptoms, they could not find anything wrong with me, nothing at all! My heart was great, my brain was fine, everything checked out perfectly! As I have said, since my experience, my life has changed drastically and continues to do so. There is simply too much to write. I am considering writing a book or perhaps a blog as I have so very much to say and I feel very compelled to share the messages that are coming my way.
